package kr.co.mkblog.mkblogopenglesexample;

import android.content.Context;
import android.opengl.GLES30;
import android.opengl.GLSurfaceView;
import android.util.Log;

import javax.microedition.khronos.egl.EGLConfig;
import javax.microedition.khronos.opengles.GL10;

public class mkGLRenderer implements GLSurfaceView.Renderer{

    private mkGLExample mkTri;

    private Context mkContext;

    private float mkWidth, mkHeight;

    mkGLRenderer(Context inputContext){
        mkContext = inputContext;
    }

    @Override
    public void onSurfaceCreated(GL10 gl10, EGLConfig eglConfig) {
        GLES30.glClearColor(0.5f, 0.5f, 0.5f, 1.0f);
        GLES30.glEnable(GLES30.GL_DEPTH_TEST);
        mkTri = new mkGLExample(mkContext);
    }

    @Override
    public void onSurfaceChanged(GL10 gl10, int width, int height) {
        GLES30.glViewport(0, 0, width, height);
        mkWidth = width;
        mkHeight = height;
    }

    @Override
    public void onDrawFrame(GL10 gl10) {
        GLES30.glClear(GLES30.GL_COLOR_BUFFER_BIT | GLES30.GL_DEPTH_BUFFER_BIT);
        //Log.d("MK:", "DiffX: " + diffX + ", DiffY: " + diffY);
        mkTri.draw(mkWidth, mkHeight, diffX, diffY);
        diffX = 0;
        diffY = 0;
    }

    private float diffX;
    private float diffY;

    public void setDiff(float x, float y){
        diffX = x;
        diffY = y;
    }
}